Bug 1266528 - bison does not rebuild on Fedora 23
bison does not rebuild on Fedora 23
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: bison (Show other bugs)
23
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Patsy Franklin
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-25 10:10 EDT by David Sommerseth
Modified: 2016-05-22 19:35 EDT (History)
3 users (show)

See Also:
Fixed In Version: bison-3.0.4-3.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-21 21:25:09 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Fix bison example files packaging (904 bytes, patch)
2015-09-25 10:10 EDT, David Sommerseth
no flags Details | Diff

  None (edit)
Description David Sommerseth 2015-09-25 10:10:32 EDT
Created attachment 1077113 [details]
Fix bison example files packaging

Trying to do a mock rebuild on Fedora 23 with the fedora-23-x86_64 profile fails with the following error:

-----------------------------------
Checking for unpackaged file(s): /usr/lib/rpm/check-files /builddir/build/BUILDROOT/bison-3.0.4-2.fc23.x86_64
error: Installed (but unpackaged) file(s) found:
   /usr/share/doc/bison/examples/calc++/calc++-driver.cc
   /usr/share/doc/bison/examples/calc++/calc++-driver.hh
   /usr/share/doc/bison/examples/calc++/calc++-parser.yy
   /usr/share/doc/bison/examples/calc++/calc++-scanner.ll
   /usr/share/doc/bison/examples/calc++/calc++.cc
   /usr/share/doc/bison/examples/mfcalc/calc.h
   /usr/share/doc/bison/examples/mfcalc/mfcalc.y
   /usr/share/doc/bison/examples/rpcalc/rpcalc.y
    Installed (but unpackaged) file(s) found:
   /usr/share/doc/bison/examples/calc++/calc++-driver.cc
   /usr/share/doc/bison/examples/calc++/calc++-driver.hh
   /usr/share/doc/bison/examples/calc++/calc++-parser.yy
   /usr/share/doc/bison/examples/calc++/calc++-scanner.ll
   /usr/share/doc/bison/examples/calc++/calc++.cc
   /usr/share/doc/bison/examples/mfcalc/calc.h
   /usr/share/doc/bison/examples/mfcalc/mfcalc.y
   /usr/share/doc/bison/examples/rpcalc/rpcalc.y
-----------------------------------

The attached patch updates bison.spec, packaging the example code properly.
Comment 1 Fedora Update System 2015-10-26 13:45:32 EDT
bison-3.0.4-3.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-39ed38612d
Comment 2 Fedora Update System 2015-10-26 22:17:50 EDT
bison-3.0.4-3.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update bison'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-39ed38612d
Comment 3 Fedora Update System 2015-11-21 21:25:06 EST
bison-3.0.4-3.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.